Package fr.gouv.vitam.processing.common.model

# Class WorkspaceQueue

java.lang.Object
fr.gouv.vitam.processing.common.model.WorkspaceQueue

public class WorkspaceQueue extends Object
Workspace Queue class

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkspaceQueue()`
  Default Constructor
  `WorkspaceQueue(String workspacePath, InputStream sourceFile)`
  Constructor
  `WorkspaceQueue(String workspacePath, InputStream sourceFile, WorkspaceAction action)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkspaceAction`
  `getAction()`
  `Path`
  `getFilePath()`
  `String`
  `getFolderName()`
  `String`
  `getMediaType()`
  `InputStream`
  `getSourceFile()`
  `String`
  `getWorkspacePath()`
  `WorkspaceQueue`
  `setFilePath(Path filePath)`
  `WorkspaceQueue`
  `setFolderName(String folderName)`
  `WorkspaceQueue`
  `setMediaType(String mediaType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WorkspaceQueue

    public WorkspaceQueue()
    Default Constructor

  - ### WorkspaceQueue

    public WorkspaceQueue(String workspacePath, InputStream sourceFile)
    Constructor
    Parameters:
      `workspacePath` -
      `sourceFile` -

  - ### WorkspaceQueue

    public WorkspaceQueue(String workspacePath, InputStream sourceFile, WorkspaceAction action)
    Constructor
    Parameters:
      `workspacePath` -
      `sourceFile` -
      `action` -

- ## Method Details

  - ### getWorkspacePath

    public String getWorkspacePath()
    Returns:
      workspace path

  - ### getSourceFile

    public InputStream getSourceFile()
    Returns:
      source file

  - ### getAction

    public WorkspaceAction getAction()
    Returns:
      action

  - ### getFilePath

    public Path getFilePath()
    Returns:
      file path

  - ### setFilePath

    public WorkspaceQueue setFilePath(Path filePath)
    Parameters:
      `filePath` -
    Returns:
      workspace queue

  - ### getMediaType

    public String getMediaType()
    Returns:
      media type

  - ### setMediaType

    public WorkspaceQueue setMediaType(String mediaType)
    Parameters:
      `mediaType` -
    Returns:
      the modified WorkspaceQueue

  - ### getFolderName

    public String getFolderName()
    Returns:
      folder name

  - ### setFolderName

    public WorkspaceQueue setFolderName(String folderName)
    Parameters:
      `folderName` -
    Returns:
      the modified WorkspaceQueue